Labeling
List labeling jobs
GET
/
v1
/
labeling
/
jobs
List labeling jobs
curl --request GET \
--url https://console.sqwish.ai/v1/labeling/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.sqwish.ai/v1/labeling/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.sqwish.ai/v1/labeling/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"name": "<string>",
"source_id": "<string>",
"status": "queued",
"teacher_models": [
"<string>"
],
"rows": 123,
"completed_rows": 123,
"valid_rows": 123,
"agreement_rows": 123,
"error_rows": 123,
"created_at": 123,
"updated_at": 123,
"dataset_id": "<string>",
"error": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}Authorizations
Create an API key in the console. Required when accounts are enabled.
Query Parameters
Required range:
1 <= x <= 200Maximum string length:
64Available options:
queued, running, cancelling, review_ready, finalized, failed, cancelled List labeling jobs
curl --request GET \
--url https://console.sqwish.ai/v1/labeling/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.sqwish.ai/v1/labeling/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.sqwish.ai/v1/labeling/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"name": "<string>",
"source_id": "<string>",
"status": "queued",
"teacher_models": [
"<string>"
],
"rows": 123,
"completed_rows": 123,
"valid_rows": 123,
"agreement_rows": 123,
"error_rows": 123,
"created_at": 123,
"updated_at": 123,
"dataset_id": "<string>",
"error": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}